import { RecordVisitor } from "../proxy/RecordVisitor";
/**
 *
 */
export declare class WorkPackageVisitor extends RecordVisitor {
    private static BRIEFCASE_PROPERTY_NAME;
    private static CLASSIFICATION_PROPERTY_NAME;
    private static CONFIG_PROPERTY_NAME;
    private static CONTRACT_PROPERTY_NAME;
    private static CREATION_DATE_PROPERTY_NAME;
    private static CREATION_USER_PROPERTY_NAME;
    private static DESCRIPTION_PROPERTY_NAME;
    private static DISCIPLINES_PROPERTY_NAME;
    private static ID_PROPERTY_NAME;
    private static LAST_UPDATE_DATE_PROPERTY_NAME;
    private static NAME_PROPERTY_NAME;
    private static ORGANIZATIONS_GROUP_PROPERTY_NAME;
    private static OWNING_GROUP_PROPERTY_NAME;
    private static UID_PROPERTY_NAME;
    constructor(value: string | object);
    visitBriefcase(): boolean;
    visitClassification(): string;
    visitConfig(): string;
    visitContract(): string;
    visitCreationDate(): string;
    visitCreationUser(): string;
    visitDescription(): string;
    visitDisciplines(): string;
    visitId(): string;
    visitLastUpdateDate(): string;
    visitName(): string;
    visitOrganizationsGroup(): string;
    visitOwningGroup(): string;
    visitUid(): string;
}
